<?php
include('../../path.php');
require_once(ROOT_CONFIG);

    $Id_Catalogo_Estado_Civil=!empty($_REQUEST['Id_Catalogo_Estado_Civil'])?$_REQUEST['Id_Catalogo_Estado_Civil']:'';
    $Odbj_conexion = new odbconexion;
    $conexion=$Odbj_conexion->openconection();
    $consulta="SELECT * FROM catalogo_estado_civil WHERE Id_Catalogo_Estado_Civil='$Id_Catalogo_Estado_Civil'";
    $Array_adapter=$conexion->query($consulta);
    $conexion->close();
    //return $Array_adapter;

    // Verificar si se encontró registros
    if ($Array_adapter->num_rows > 0) {
        $catalogo_estado_civil = $Array_adapter->fetch_assoc();
        echo json_encode($catalogo_estado_civil);
    } else {
        echo json_encode(null); // Si no se encontró resultados, devuelve null
    }

?>

